import 'package:csslib/parser.dart';

Map<String, Color> colorMap = {
  'transparent': const Color.hex("00ffffff"),
  'aliceBlue': const Color.hex("0f08ff"),
  'antiqueWhite': const Color.hex("0faebd7"),
  'aqua': const Color.hex("00ffff"),
  'aquaMarine': const Color.hex("7fffd4"),
  'azure': const Color.hex("f0ffff"),
  'beige': const Color.hex("f5f5dc"),
  'bisque': const Color.hex("ffe4c4"),
  'black': const Color.hex("000000"),
  'blanchedAlmond': const Color.hex("ffebcd"),
  'blue': const Color.hex("0000ff"),
  'blueViolet': const Color.hex("8a2be2"),
  'brown': const Color.hex("a52a2a"),
  'burlyWood': const Color.hex("deb887"),
  'cadetBlue': const Color.hex("5f9ea0"),
  'chartreuse': const Color.hex("7fff00"),
  'chocolate': const Color.hex("d2691e"),
  'coral': const Color.hex("ff7f50"),
  'cornFlowerBlue': const Color.hex("6495ed"),
  'cornSilk': const Color.hex("fff8dc"),
  'crimson': const Color.hex("dc143c"),
  'cyan': const Color.hex("00ffff"),
  'darkBlue': const Color.hex("00008b"),
  'darkCyan': const Color.hex("008b8b"),
  'darkGoldenRod': const Color.hex("b8860b"),
  'darkGray': const Color.hex("a9a9a9"),
  'darkGreen': const Color.hex("006400"),
  'darkGrey': const Color.hex("a9a9a9"),
  'darkKhaki': const Color.hex("bdb76b"),
  'darkMagenta': const Color.hex("8b008b"),
  'darkOliveGreen': const Color.hex("556b2f"),
  'darkOrange': const Color.hex("ff8c00"),
  'darkOrchid': const Color.hex("9932cc"),
  'darkRed': const Color.hex("8b0000"),
  'darkSalmon': const Color.hex("e9967a"),
  'darkSeaGreen': const Color.hex("8fbc8f"),
  'darkSlateBlue': const Color.hex("483d8b"),
  'darkSlateGray': const Color.hex("2f4f4f"),
  'darkSlateGrey': const Color.hex("2f4f4f"),
  'darkTurquoise': const Color.hex("00ced1"),
  'darkViolet': const Color.hex("9400d3"),
  'deepPink': const Color.hex("ff1493"),
  'deepSkyBlue': const Color.hex("00bfff"),
  'dimGray': const Color.hex("696969"),
  'dimGrey': const Color.hex("696969"),
  'dodgerBlue': const Color.hex("1e90ff"),
  'fireBrick': const Color.hex("b22222"),
  'floralWhite': const Color.hex("fffaf0"),
  'forestGreen': const Color.hex("228b22"),
  'fuchsia': const Color.hex("ff00ff"),
  'gainsboro': const Color.hex("dcdcdc"),
  'ghostWhite': const Color.hex("f8f8ff"),
  'gold': const Color.hex("ffd700"),
  'goldenRod': const Color.hex("daa520"),
  'gray': const Color.hex("808080"),
  'green': const Color.hex("008000"),
  'greenYellow': const Color.hex("adff2f"),
  'grey': const Color.hex("808080"),
  'honeydew': const Color.hex("f0fff0"),
  'hotPink': const Color.hex("ff69b4"),
  'indianRed': const Color.hex("cd5c5c"),
  'indigo': const Color.hex("4b0082"),
  'ivory': const Color.hex("fffff0"),
  'khaki': const Color.hex("f0e68c"),
  'lavender': const Color.hex("e6e6fa"),
  'lavenderBlush': const Color.hex("fff0f5"),
  'lawnGreen': const Color.hex("7cfc00"),
  'lemonChiffon': const Color.hex("fffacd"),
  'lightBlue': const Color.hex("add8e6"),
  'lightCoral': const Color.hex("f08080"),
  'lightCyan': const Color.hex("e0ffff"),
  'lightGoldenRodYellow': const Color.hex("fafad2"),
  'lightGray': const Color.hex("d3d3d3"),
  'lightGreen': const Color.hex("90ee90"),
  'lightGrey': const Color.hex("d3d3d3"),
  'lightPink': const Color.hex("ffb6c1"),
  'lightSalmon': const Color.hex("ffa07a"),
  'lightSeaGreen': const Color.hex("20b2aa"),
  'lightSkyBlue': const Color.hex("87cefa"),
  'lightSlateGray': const Color.hex("778899"),
  'lightSlateGrey': const Color.hex("778899"),
  'lightSteelBlue': const Color.hex("b0c4de"),
  'lightYellow': const Color.hex("ffffe0"),
  'lime': const Color.hex("00ff00"),
  'limeGreen': const Color.hex("32cd32"),
  'linen': const Color.hex("faf0e6"),
  'magenta': const Color.hex("ff00ff"),
  'maroon': const Color.hex("800000"),
  'mediumAquaMarine': const Color.hex("66cdaa"),
  'mediumBlue': const Color.hex("0000cd"),
  'mediumOrchid': const Color.hex("ba55d3"),
  'mediumPurple': const Color.hex("9370db"),
  'mediumSeaGreen': const Color.hex("3cb371"),
  'mediumSlateBlue': const Color.hex("7b68ee"),
  'mediumSpringGreen': const Color.hex("00fa9a"),
  'mediumTurquoise': const Color.hex("48d1cc"),
  'mediumVioletRed': const Color.hex("c71585"),
  'midnightBlue': const Color.hex("191970"),
  'mintCream': const Color.hex("f5fffa"),
  'mistyRose': const Color.hex("ffe4e1"),
  'moccasin': const Color.hex("ffe4b5"),
  'navajoWhite': const Color.hex("ffdead"),
  'navy': const Color.hex("000080"),
  'oldLace': const Color.hex("fdf5e6"),
  'olive': const Color.hex("808000"),
  'oliveDrab': const Color.hex("6b8e23"),
  'orange': const Color.hex("ffa500"),
  'orangeRed': const Color.hex("ff4500"),
  'orchid': const Color.hex("da70d6"),
  'paleGoldenRod': const Color.hex("eee8aa"),
  'paleGreen': const Color.hex("98fb98"),
  'paleTurquoise': const Color.hex("afeeee"),
  'paleVioletRed': const Color.hex("db7093"),
  'papayaWhip': const Color.hex("ffefd5"),
  'peachPuff': const Color.hex("ffdab9"),
  'peru': const Color.hex("cd85ef"),
  'pink': const Color.hex("ffc0cb"),
  'plum': const Color.hex("dda0dd"),
  'powderBlue': const Color.hex("b0e0e6"),
  'purple': const Color.hex("800080"),
  'red': const Color.hex("ff0000"),
  'rosyBrown': const Color.hex("bc8f8f"),
  'royalBlue': const Color.hex("4169e1"),
  'saddleBrown': const Color.hex("8b4513"),
  'salmon': const Color.hex("fa8072"),
  'sandyBrown': const Color.hex("f4a460"),
  'seaGreen': const Color.hex("2e8b57"),
  'seashell': const Color.hex("fff5ee"),
  'sienna': const Color.hex("a0522d"),
  'silver': const Color.hex("c0c0c0"),
  'skyBlue': const Color.hex("87ceeb"),
  'slateBlue': const Color.hex("6a5acd"),
  'slateGray': const Color.hex("708090"),
  'slateGrey': const Color.hex("708090"),
  'snow': const Color.hex("fffafa"),
  'springGreen': const Color.hex("00ff7f"),
  'steelBlue': const Color.hex("4682b4"),
  'tan': const Color.hex("d2b48c"),
  'teal': const Color.hex("008080"),
  'thistle': const Color.hex("d8bfd8"),
  'tomato': const Color.hex("ff6347"),
  'turquoise': const Color.hex("40e0d0"),
  'violet': const Color.hex("ee82ee"),
  'wheat': const Color.hex("f5deb3"),
  'white': const Color.hex("ffffff"),
  'whiteSmoke': const Color.hex("f5f5f5"),
  'yellow': const Color.hex("ffff00"),
  'yellowGreen': const Color.hex("9acd32")
};